%define name	python-Gato
%define version	0.20090311

%define	pkgdir	%{_datadir}/%{name}

Name:		%{name}
Group:		Development/Python
License:	LGPL
Summary:	Python Gato module
Version:	%{version}
Release:	%mkrel 4
Source:		Gato-%{version}.tar.xz
URL:		http://gato.sourceforge.net/index.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	python-devel
Requires:	tcl >= 8.6
Requires:	tk >= 8.6
Requires:	tkinter
Requires:	python-imaging

%description
Gato - the Graph Animation Toolbox - is a software which visualizes
algorithms on graphs. Graphs are mathematical objects consisting of
vertices and edges connecting pairs of vertices: think of cities as
vertices and interstates as edges connecting two cities. Algorithms
might find a shortest path - the fastest route - or a minimal spanning
tree or solve one of other interesting problems on graphs: maximal-flow,
weighted and non-weighted matching and min-cost flow. Visualisation
means linking cause - the statements of an algorithm - immediately to
an effect - changes to the graph the algorithm has as its input - by
terms of blinking, changing colors and other visual effects.

%prep
%setup -q -n Gato

%build
# don't add .svn files to doc files.
for dir in `find . -type d -name .svn`; do
    rm -fr $dir
done

for f in `find . -name \*.py`; do
    sed -i -e 's|#!/usr/bin/env python2.3|#!/usr/bin/env python|' $f
done

%install
%__python setup.py install --root=%{buildroot}
mkdir -p %{buildroot}/%{pkgdir}
cp -far Icons %{buildroot}/%{pkgdir}

rm -f %{buildroot}%{_bindir}/Gato3D

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
/*

%changelog
* Sun Aug 11 2013 billybot <billybot> 0.20090311-4pclos2013
- update

